# Method: achievements.unlock

- [HTTP request](https://developer.android.com/games/services/web/api/rest/v1/achievements/unlock#body.HTTP_TEMPLATE)
- [Path parameters](https://developer.android.com/games/services/web/api/rest/v1/achievements/unlock#body.PATH_PARAMETERS)
- [Request body](https://developer.android.com/games/services/web/api/rest/v1/achievements/unlock#body.request_body)
- [Response body](https://developer.android.com/games/services/web/api/rest/v1/achievements/unlock#body.response_body)
  - [JSON representation](https://developer.android.com/games/services/web/api/rest/v1/achievements/unlock#body.UnlockAchievementResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://developer.android.com/games/services/web/api/rest/v1/achievements/unlock#body.aspect)
- [Try it!](https://developer.android.com/games/services/web/api/rest/v1/achievements/unlock#try-it)

Unlocks this achievement for the currently authenticated player.

### HTTP request

`POST https://games.googleapis.com/games/v1/achievements/{achievementId}/unlock`

### Path parameters

|                                Parameters                                ||
|-----------------|---------------------------------------------------------|
| `achievementId` | `string` The ID of the achievement used by this method. |

### Request body

The request body must be empty.

### Response body

An achievement unlock response

If successful, the response body contains data with the following structure:

|                 JSON representation                  |
|------------------------------------------------------|
| ``` { "kind": string, "newlyUnlocked": boolean } ``` |

|                                                                             Fields                                                                             ||
|-----------------|-----------------------------------------------------------------------------------------------------------------------------------------------|
| `kind`          | `string` Uniquely identifies the type of this resource. Value is always the fixed string`games#achievementUnlockResponse`.                    |
| `newlyUnlocked` | `boolean` Whether this achievement was newly unlocked (that is, whether the unlock request for the achievement was the first for the player). |

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/games`
- `
  https://www.googleapis.com/auth/games_lite`

For more information, see the[OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).